#!/usr/local/bin/perl

use strict;

require "/home/hobbit/server/ext/mssql/db";

use vars qw($serverName $ServerPort);
use vars qw($sysserversTB);

$serverName=$ARGV[0];
$ServerPort=$ARGV[1];

if ( $serverName eq "" || $ServerPort eq "" ) {
   print "Status: DOWN\n";
   exit 0;
}

DBDisconnect();
DBConnect();

my ($handle,@row)=DBQueryAndFetchRow("select srvname from $sysserversTB where srvid = 0");
my $ans=$row[0];

#print "ans=$ans\n";
#print "serverName=$serverName\n";
#print "ServerPort=$ServerPort\n";

if ( $ans =~ /$serverName/i ) {
   print "Status: UP\n";
   print "\n";
   print "${ans}\n";
} else {
   print "Status: DOWN\n";
   print "\n";
   print "${ans}\n";
}
